Add a medication
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/medications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Amoxicillin",
"form": "tablet",
"strength": "50 mg",
"default_dose": "1 tablet twice daily",
"notes": "Give with food."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Amoxicillin',
form: 'tablet',
strength: '50 mg',
default_dose: '1 tablet twice daily',
notes: 'Give with food.'
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/medications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/medications"
payload = {
"name": "Amoxicillin",
"form": "tablet",
"strength": "50 mg",
"default_dose": "1 tablet twice daily",
"notes": "Give with food."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"medication": {
"id": "<string>",
"name": "<string>",
"form": "tablet",
"strength": "<string>",
"default_dose": "<string>",
"notes": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tenant_id": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Medical catalogue
Add a medication
Adds a medication. The same name and strength can be in the list only once (409); two strengths of one drug are two entries. Needs write on Animals.
POST
/
api
/
animals
/
medications
Add a medication
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/medications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Amoxicillin",
"form": "tablet",
"strength": "50 mg",
"default_dose": "1 tablet twice daily",
"notes": "Give with food."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Amoxicillin',
form: 'tablet',
strength: '50 mg',
default_dose: '1 tablet twice daily',
notes: 'Give with food.'
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/medications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/medications"
payload = {
"name": "Amoxicillin",
"form": "tablet",
"strength": "50 mg",
"default_dose": "1 tablet twice daily",
"notes": "Give with food."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"medication": {
"id": "<string>",
"name": "<string>",
"form": "tablet",
"strength": "<string>",
"default_dose": "<string>",
"notes": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tenant_id": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Body
application/json
Response
The medication, as it was created.
Show child attributes
Show child attributes